% Illustrate dsp.AudioFileReader and Player System objects
%
% Matlab documentation: DSP System Toolbox/DSP Modeling/Signal Import and Export
% dsp.AudioFileReader System object
% dsp.AudioPlayer System object
% see also: dsp.AudioRecorder, dsp.UDPReceiver, dsp.UDPSender
%
% Author: G.Wakefield, 08OCT14, EECS452F14, University of Michigan
%

inAudioDev = dsp.AudioFileReader('SuperstitionSnippet.wav');
outAudioDev = dsp.AudioPlayer('SampleRate',inAudioDev.SampleRate);

while ~isDone(inAudioDev)
    sig = step(inAudioDev);
    step(outAudioDev,sig);
end

release(inAudioDev);
release(outAudioDev);

